> ## Documentation Index
> Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete AssignmentTable

> Delete an assignment table. The assignment table can only be deleted if
 there are no active scheduled exposure calculations referencing the table.



## OpenAPI

````yaml /api/metrics/api/assignment-table.openapi.json delete /v1/assignmentTables/{assignmentTable}
openapi: 3.1.0
info:
  title: Confidence Assignment-table API
  version: 1.0.0
  description: API documentation for assignment-table
servers: []
security: []
paths:
  /v1/assignmentTables/{assignmentTable}:
    delete:
      summary: Delete AssignmentTable
      description: |-
        Delete an assignment table. The assignment table can only be deleted if
         there are no active scheduled exposure calculations referencing the table.
      operationId: AssignmentTable.delete
      parameters:
        - name: assignmentTable
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Returns a [AssignmentTable](/api-reference/schemas/assignmenttable).
      security:
        - admin: []
      servers:
        - url: https://metrics.eu.confidence.dev
        - url: https://metrics.us.confidence.dev
        - url: https://metrics.confidence.dev
components:
  securitySchemes:
    admin:
      type: http
      scheme: bearer

````